> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get share classes

> 
        Retrieve share classes for a firm or a specific company. If no filters are provided, the endpoint returns all share classes across the firm. If company IDs or share class IDs are provided, it returns share classes specific to those companies or share classes.

        **Permissions:**
        - User must be authenticated via OAuth.
        - User must have access to the companies.
    



## OpenAPI

````yaml post /beta/investment/share-classes/get/
openapi: 3.1.0
info:
  title: Standard Metrics Investment Data API
  version: beta
  description: Standard Metrics' investment data API.
servers:
  - url: https://app.standardmetrics.io
security: []
paths:
  /beta/investment/share-classes/get/:
    post:
      tags:
        - cap_table
      summary: Get share classes
      description: |2-

                Retrieve share classes for a firm or a specific company. If no filters are provided, the endpoint returns all share classes across the firm. If company IDs or share class IDs are provided, it returns share classes specific to those companies or share classes.

                **Permissions:**
                - User must be authenticated via OAuth.
                - User must have access to the companies.
            
      operationId: get_share_classes
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/ShareClassFilters'
                - type: 'null'
        required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ShareClassOut'
                title: Response
                type: array
      security:
        - BearerAuth: []
components:
  schemas:
    ShareClassFilters:
      additionalProperties: false
      description: Options for fetching share classes.
      properties:
        company_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Filter by company IDs.
          examples:
            - - pvYe
              - a2Ne
          title: Company Ids
        share_class_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: Filter by share class IDs.
          examples:
            - - pvYe
              - a2Ne
          title: Share Class Ids
        purchase_type:
          anyOf:
            - $ref: '#/components/schemas/ShareClassPurchaseType'
            - type: 'null'
          description: 'Filter by purchase type: ''primary'' or ''secondary''.'
          examples:
            - primary
      title: ShareClassFilters
      type: object
    ShareClassOut:
      description: A share class being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the share class.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        company_id:
          description: The ID of the company this share class belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        financing_id:
          description: The ID of the financing round this share class belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
        purchase_type:
          description: Whether the purchase is a primary or secondary transaction.
          enum:
            - primary
            - secondary
          examples:
            - primary
          title: Purchase Type
          type: string
        type:
          description: The type of shares in this share class.
          enum:
            - common
            - preferred
          examples:
            - preferred
          title: Type
          type: string
        name:
          description: The name of the share class.
          examples:
            - Series A
          title: Name
          type: string
        price_per_share:
          $ref: '#/components/schemas/MoneyAmount'
          description: The price per share for this share class.
          examples:
            - currency: USD
              value: '10.00'
        include_in_fair_value:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Whether the share class is included in the fair value calculation.
            Defaults to `True` when the `purchase_type` is `primary`, otherwise
            `False`.
          examples:
            - true
          title: Include In Fair Value
        company_name:
          description: The name of the company this share class belongs to. Output only.
          examples:
            - Acme Corp
          title: Company Name
          type: string
      required:
        - company_id
        - financing_id
        - purchase_type
        - type
        - name
        - price_per_share
        - company_name
      title: ShareClassOut
      type: object
    ShareClassPurchaseType:
      description: String enum for share class purchase types.
      enum:
        - primary
        - secondary
      title: ShareClassPurchaseType
      type: string
    MoneyAmount:
      description: A monetary amount.
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount for the source currency.
          examples:
            - '1000000'
          title: Value
        converted_value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount converted to your firm's preferred currency.
          examples:
            - '1000000'
          readOnly: true
          title: Converted Value
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: The currency of the amount.
          examples:
            - USD
        converted_currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: >-
            The currency of the converted amount. Your firm's preferred
            currency.
          examples:
            - USD
          readOnly: true
        fx_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The FX rate between the source currency and the converted currency.
          examples:
            - '1.0'
          title: Fx Rate
        is_custom_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the FX rate is a custom rate.
          examples:
            - false
          readOnly: true
          title: Is Custom Rate
      required:
        - value
        - currency
      title: MoneyAmount
      type: object
    CurrencyCode:
      description: Supported currency codes.
      enum:
        - AED
        - AUD
        - BDT
        - BRL
        - CAD
        - CHF
        - CNY
        - COP
        - CZK
        - DKK
        - EUR
        - GBP
        - GHS
        - HKD
        - IDR
        - ILS
        - INR
        - JPY
        - JOD
        - KES
        - KRW
        - MXN
        - NGN
        - NOK
        - NZD
        - PEN
        - PHP
        - SAR
        - SGD
        - USD
        - PKR
        - THB
        - TRY
        - TWD
        - TZS
        - VND
        - SEK
        - ISK
        - ZAR
      title: CurrencyCode
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````